
D4Science Infrastructure - Task #8809

Deploy Twitter Monitor Smart Executor Plugin

May 31, 2017 04:32 PM - Luca Frosini

Status: Closed Start date: Jun 12, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Community Support   

Infrastructure: Production   

Description

The plugin (a jar-with-dependencies) can be downloaded by using a link to a resource in a shared folder I already created in the

workspace (I'll take care of providing the link to the jar).

@salvatore.minutoli@iit.cnr.it will take care of updating the jar by replacing it (not deleting and uploading a new one so that the link

will remain the same) on the workspace any time he needs to deploy a new version on production.

@salvatore.minutoli@iit.cnr.it will open a new ticket (Task tracker) to request to update such a plugin.

In such a way we don't need to modify the ansible role every time.

Subtasks:

Task # 8911: Deploy SmartExecutor plugins for TwitterMonitor Closed

Related issues:

Related to D4Science Infrastructure - VM Creation #7466: Please Create 2 VM t... Closed Mar 10, 2017

History

#1 - May 31, 2017 04:32 PM - Luca Frosini

- Description updated

#2 - May 31, 2017 04:33 PM - Luca Frosini

- Description updated

#3 - May 31, 2017 04:34 PM - Luca Frosini

- Related to VM Creation #7466: Please Create 2 VM to install SmartExecutor for SoBigData added

#5 - May 31, 2017 06:17 PM - Salvatore Minutoli

I need to deploy two plugins: TwMonCron and TwMonCrawler.

One of them uses some PHP scripts that must be deployed on the same VM. The SmartExecutor plugin TwMonCrawler must know the path of the

main PHP script and must be able to access a directory to store the Twitter records collected until the end of the crawling procedure. In the current

implementation these paths are fixed: it is possible to make these paths configurable but we need to agree about it if the deploy procedure must be

automatic.

I need to know, for the TwMonCrawler, if this can be handled by using a simple jar file.

#6 - Jun 12, 2017 02:24 PM - Andrea Dell'Amico

So, we still have to wait for the plugins download URLs and for the PHP scripts so that we can provision them as well.

#7 - Jun 30, 2017 11:39 AM - Andrea Dell'Amico

- Status changed from New to In Progress

#8 - Jun 30, 2017 11:39 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#9 - Jul 05, 2017 08:23 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
